@import url('https://fonts.googleapis.com/css2?family=Roboto:wght@300;400;700&display=swap');

:root{
  --c-pri:#354edd;
}
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: 'Roboto', sans-serif;
}

/* Utility classes */
.flex{
  display: flex;
}
.justify-center{
  justify-content: center;
}
.justify-between{
  justify-content: space-between;
}
.items-center{
  align-items: center;
}
.flex-col{
  flex-direction: column;
}
.btn-primary, .btn-neutral, .btn-success, .btn-danger{
  padding: 10px;
  background:var(--c-pri);
  border-radius: 5px;
  cursor: pointer;
  border: none;
  color: #ffffff;
}
.btn-neutral{
  background: rgb(209, 209, 209);
  color: black;
}
.btn-success{
  background: green;
}
.btn-danger{
  background: red;
}
.list-enter-active,
.list-leave-active {
  transition: all 0.5s ease;
}
.list-enter-from,
.list-leave-to {
  opacity: 0;
  transform: translateX(30px);
}
.modal-container{
  position: relative;
}
.overlay{
  position: fixed;
  inset: 0;
  background: rgba(0, 0, 0,0.6);
  z-index:3;
}
.edit,
.delete,
.close-modal {
  background: rgb(236, 72, 72);
  height: 30px;
  width: 30px;
  border-radius: 100%;
  border: none;
  color: #ffffff;
  cursor: pointer;
}
.edit {
  background: rgb(10, 117, 10);
}